# Class DoubleProperty<K>

java.lang.Object
com.codename1.properties.PropertyBase<Double,K>
com.codename1.properties.Property<Double,K>
com.codename1.properties.NumericProperty<Double,K>
com.codename1.properties.DoubleProperty<K>

public class DoubleProperty<K> extends NumericProperty<Double,K>
This is the double specific version of numeric property

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleProperty(String name)`
  Creates a double property with the given name.
  `DoubleProperty(String name, Double value)`
  Creates a double property with the given name and initial value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getDouble()`
  Returns the value as a primitive, if the value is null/nullable this will fail...

  ### Methods inherited from class NumericProperty

  `isNullable, set, setNullable`

  ### Methods inherited from class Property

  `equals, get, hashCode, toString`

  ### Methods inherited from class PropertyBase

  `addChangeListener, bindGlobalGetListener, bindGlobalSetListener, firePropertyChanged, getClientProperty, getGenericType, getLabel, getName, putClientProperty, removeChangeListener, setLabel, stopListening, validateCollectionType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DoubleProperty

    public DoubleProperty(String name)

    Creates a double property with the given name.

    ###### Parameters

    - `name`: the property name.

  - ### DoubleProperty

    public DoubleProperty(String name, Double value)

    Creates a double property with the given name and initial value.

    ###### Parameters

    - `name`: the property name.

    - `value`: the initial property value.

- ## Method Details

  - ### getDouble

    public double getDouble()

    Returns the value as a primitive, if the value is null/nullable this will fail...

    ###### Returns

    the numeric value